package util

import (
	"encoding/binary"
	"os"
)

// WriteBytes 音频二进制数据写入文件保存
func WriteBytes(data []byte, filename string) error {
	f, err := os.Create(filename)
	if err != nil {
		return err
	}
	defer f.Close()

	err = binary.Write(f, binary.LittleEndian, data)
	if err != nil {
		return err
	}
	return nil
}